Bug 1734275 - [Satellite 6] API Documentation missing a way how to download host full image
Summary: [Satellite 6] API Documentation missing a way how to download host full image
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Documentation
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Sergei Petrosian
QA Contact: Melanie Corr
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-30 06:45 UTC by Roman Bobek
Modified: 2019-09-26 15:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-04 11:49:25 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Roman Bobek 2019-07-30 06:45:47 UTC
Document URL: 
https://access.redhat.com/documentation/en-us/red_hat_satellite/6.5/html-single/api_guide/index


Section Number and Name: 
N/A


Describe the issue: 
Sometimes, when using Satellite 6 and building hosts, it's necessary to download host full image. There is a button in the GUI for it. This is also possible to do via API, but there is no documentation for it.


Suggestions for improvement: 
Please add the description how to download the Full Host Image via API:

GET /bootdisk/api/hosts/:host_id
full=1

Comment 3 Sergei Petrosian 2019-08-30 12:51:48 UTC
Hi Jitendra,

by using the `hammer --debug bootdisk host --full 1 --host-id 4` command, I create the API request to download full host image.
The hammer command downloads the image fine, the request though does not work.

Are you able to test it and see what can be wrong? 

~~~~~
# curl --header "Accept:application/json,version=2" --header "Content-Type:application/json" \
> --request GET --insecure --user user:password \
> --data '{"params":{"organization_id":1,"full":"true"}}' \
> https://dell-r220-2.gsslab.brq.redhat.com/bootdisk/api/v2/hosts/4 \
> | python -m json.tool
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 1024k    0 1024k  100    46  4112k    184 --:--:-- --:--:-- --:--:-- 4129k
Extra data: line 1 column 2 - line 1583 column 673084 (char 1 - 1048576)
~~~~~

Thank you


Note You need to log in before you can comment on or make changes to this bug.